Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.log4jfugue
Class RhythmSoundBuilder

    java.lang.Object
      java.lang.Thread
          org.log4jfugue.SoundBuilder
              org.log4jfugue.RhythmSoundBuilder

All Implemented Interfaces:
  java.lang.Runnable

    public class RhythmSoundBuilder

extends SoundBuilder

Derived from the SoundBuilder class, this class builds and plays a rhythm based sound. This avoids the problem of building a chromatic string since rhythm is basically atonal.

Author:
  btarbox

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class org.log4jfugue.SoundBuilder
`dataGetter, music, player, synth`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`RhythmSoundBuilder()`

Method Summary
`void` | `run()` Build the music string to send to JFugue
`void` | `setMessageReceiver(MessageReceiver mr)` Used by Spring DI to inject the MessageReceiver; this is primarily so that this class can access the instrument definitions known by the receiver

Methods inherited from class org.log4jfugue.SoundBuilder
`buildMusicString, setDataGetter, setMusic, setPlayer`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RhythmSoundBuilder

    public RhythmSoundBuilder()

Method Detail

### setMessageReceiver

    public void setMessageReceiver(MessageReceiver mr)

  Used by Spring DI to inject the MessageReceiver; this is primarily so that this class can access the instrument definitions known by the receiver

  Parameters:
    `mr` -

### run

    public void run()

  Build the music string to send to JFugue

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `SoundBuilder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD